newt_resume
newt_scale_set
Newt Functions
PHP Manual

# newt_run_form

Runs a form

### Description

resource newt_run_form ( resource `$form` )

This function runs the form passed to it.

### Parameters

`form`

  Form component

### Return Values

The component which caused the form to stop running.

> Note:

> Notice that this function doesn't fit in with newt's normal naming convention. It is an older interface which will not work for all forms. It was left in newt only for legacy applications. It is a simpler interface than the new newt_form_run though, and is still used quite often as a result. When an application is done with a form, it destroys the form and all of the components the form contains.

### See Also

- newt_form_run
- newt_form_destroy